/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * Contact Information:
 * Dambach-Werke GmbH
 * Elektronische Leitsysteme
 * Fritz-Minhardt-Str. 1
 * 76456 Kuppenheim
 * Phone: +49-7222-402-0
 * Fax: +49-7222-402-200
 * mailto: info@els.dambach.de
 */

package de.bsvrz.vew.sim.sim;

import de.bsvrz.dav.daf.main.ClientDavInterface;
import de.bsvrz.dav.daf.main.ClientReceiverInterface;
import de.bsvrz.dav.daf.main.config.SystemObject;
/**
 * Erweiterung des ClientReceiverInterface.<br>
 * Modelliert einen Empfnger fr genau ein (Stellvertreter-) Systemobjekt. Sollte benutzt 
 * werden, wenn nur Empfngeranmeldung, keine explizite Abmeldung untersttzt werden soll 
 * 
 * @author Dambach Werke GmbH
 * @author Stefan Sans
 * @version $Revision: 1.1 $ / $Date: 2008/10/31 13:30:31 $ / ($Author: Sans $)
 */
public interface EmpfaengerMitAnmeldung extends ClientReceiverInterface
{
  /**
   * Bestimmt die Datenverteiletverbindung, ber die die Empfngeranmeldung erfolgt
   * @return die Datenverteiletverbindung fr die Empfngeranmeldung
   */
  public ClientDavInterface getConnection();
  
  
  /**
   * Bestimmt das Systemobjekt, fr das die Empfngeranmeldugen fr diese Instanz erfolgen
   * @return das singulre Systemobjekt
   */
  public SystemObject getObjekt();
  
  /**
   * Anmelden aller Datenidentifikationen fr diese Instanz und das zugeordnete Systemobjekt
   */
  public void anmelden();
  
}
